Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.nat.probe
Class ProbeRequestMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.socket.nat.probe.ProbeRequestMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class ProbeRequestMessage

extends PRawMessage

See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`ProbeRequestMessage(MultiInetSocketAddress probeRequestor, long uid, int appAddress)`

Method Summary
`static ProbeRequestMessage` | `build(InputBuffer buf, int appAddress)`
`MultiInetSocketAddress` | `getProbeRequester()`
`short` | `getType()`
`long` | `getUID()`
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### ProbeRequestMessage

    public ProbeRequestMessage(MultiInetSocketAddress probeRequestor,
                               long uid,
                               int appAddress)

Parameters:
  `probeRequestor` - please probe this guy
  `uid` - use this unique identifier
  `appAddress` - the application address

Method Detail

### getProbeRequester

    public MultiInetSocketAddress getProbeRequester()

### getUID

    public long getUID()

### getType

    public short getType()

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### build

    public static ProbeRequestMessage build(InputBuffer buf,
                                            int appAddress)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.